package com.altimetrik.pmis.controller;

import com.altimetrik.pmis.model.Indicator;
import com.altimetrik.pmis.service.IndicatorService;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/indicator")
@Validated
public class IndicatorController {

    private IndicatorService indicatorService;

    @Autowired
    public IndicatorController(IndicatorService indicatorService) {
        this.indicatorService = indicatorService;
    }

    @PostMapping("save")
    ResponseEntity<Indicator> save(@Valid @RequestBody Indicator indicator) {
        return ResponseEntity.ok(indicatorService.save(indicator));
    }

    @GetMapping("/{id}")
    ResponseEntity<Indicator> get(@PathVariable Long id) {
        return ResponseEntity.ok(indicatorService.get(id));
    }

    @GetMapping
    ResponseEntity<List<Indicator>> getAll() {
        return ResponseEntity.ok(indicatorService.getAll());
    }

}
