package com.altimetrik.pmis.core.entity;

import jakarta.persistence.*;
import lombok.*;

import java.util.List;

@Entity
@Table(name = "tbl_account")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AccountEntity {

    @OneToMany(mappedBy = "account")
    List<AccountMetricEntity> accountMetricEntities;

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @Column(length = 100, unique = true)
    private String name;

    @Column(length = 100)
    private String head;

    @Column
    private String headEmail;

    @Column(length = 100)
    private String clientPartner;

    @Column(length = 100)
    private String clientHead;

    @Column
    private String description;

}
