package com.altimetrik.pmis.core.entity;

import jakarta.persistence.*;
import lombok.*;

@Entity
@Table(name = "tbl_account_metric")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AccountMetricEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @ManyToOne
    @JoinColumn(name = "account_id", referencedColumnName = "id")
    private AccountEntity account;

    @ManyToOne
    @JoinColumn(name = "indicator_id", referencedColumnName = "id")
    private IndicatorEntity indicator;

    @Column
    private boolean isActive;

}
