package com.altimetrik.pmis.core.entity;

import com.altimetrik.pmis.core.enums.Status;
import jakarta.persistence.*;
import lombok.*;

@Entity
@Table(name = "tbl_project")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ProjectEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @Column(length = 100, unique = true)
    private String name;

    @ManyToOne
    @JoinColumn(name = "account_id", referencedColumnName = "id")
    private AccountEntity account;

    @Column(length = 100)
    private String manager;

    @Column
    private String managerEmail;

    @Column(length = 100)
    private String clientManager;

    @Column
    private String description;

    @Column
    @Enumerated(EnumType.STRING)
    private Status status;

}