package com.altimetrik.pmis.core.entity;

import jakarta.persistence.*;
import lombok.*;

@Entity
@Table(name = "tbl_project_metric")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ProjectMetricEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @ManyToOne
    @JoinColumn(name = "project_id", referencedColumnName = "id")
    private ProjectEntity project;

    @ManyToOne
    @JoinColumn(name = "indicator_id", referencedColumnName = "id")
    private IndicatorEntity indicator;

    @Column
    private boolean isActive;

}
