package com.altimetrik.pmis.core.entity;

import com.altimetrik.pmis.core.enums.Status;
import jakarta.persistence.*;
import lombok.*;

import java.time.LocalDate;

@Entity
@Table(name = "tbl_project_summary")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ProjectSummaryEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @ManyToOne
    @JoinColumn(name = "project_id", referencedColumnName = "id")
    private ProjectEntity project;

    @Column
    @Enumerated(EnumType.STRING)
    private Status engineeringStatus;

    @Temporal(TemporalType.DATE)
    private LocalDate reportDate;

    @Column
    private int planned;

    @Column
    private int actual;

    @Column
    @Enumerated(EnumType.STRING)
    private Status peopleStatus;

    @Column(columnDefinition = "LONGTEXT")
    private String remarks;
}
