package com.altimetrik.pmis.core.entity;

import com.altimetrik.pmis.core.enums.Status;
import jakarta.persistence.*;
import lombok.*;

import java.time.LocalDate;

@Entity
@Table(name = "tbl_trend")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TrendEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @Column
    @Enumerated(EnumType.STRING)
    private Status overallStatus;

    @Temporal(TemporalType.DATE)
    @Column(updatable = false)
    private LocalDate reportDate;

    @ManyToOne
    @JoinColumn(name = "project_id", referencedColumnName = "id")
    private ProjectEntity project;

}