package com.altimetrik.pmis.core.entity;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDate;

@Entity
@Table(name = "tbl_weekly_metric")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class WeeklyMetricEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @ManyToOne
    @JoinColumn(name = "project_id", referencedColumnName = "id")
    private ProjectEntity project;

    @ManyToOne
    @JoinColumn(name = "account_metric_id", referencedColumnName = "id")
    private AccountMetricEntity accountMetric;

    @ManyToOne
    @JoinColumn(name = "project_metric_id", referencedColumnName = "id")
    private ProjectMetricEntity projectMetric;

    @Temporal(TemporalType.DATE)
    private LocalDate reportDate;

    @Column
    private Long target;

    @Column
    private Long actual;

    @Column
    private String remark;

    @Column
    private boolean shouldApplyRemarkToSummary;

    @ManyToOne(cascade = CascadeType.ALL)
    @JoinColumn(name = "trend_entity_id", referencedColumnName = "id")
    private TrendEntity trendEntity;

}
