package com.altimetrik.pmis.mapper;

import com.altimetrik.pmis.core.entity.CategoryEntity;
import com.altimetrik.pmis.core.entity.IndicatorEntity;
import com.altimetrik.pmis.model.Indicator;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;
import java.util.Optional;

@Mapper
public interface IndicatorMapper {
    IndicatorMapper INSTANCE = Mappers.getMapper(IndicatorMapper.class);

    Indicator entityToDomain(IndicatorEntity indicatorEntity);

    default IndicatorEntity indicatorDomainToEntity(Indicator indicator, Optional<CategoryEntity> categoryEntityOptional) {
        indicator.setId(null);
        IndicatorEntity indicatorEntity;
        if (categoryEntityOptional.isPresent()) {
            indicator.setCategory(null);
            indicatorEntity = domainToEntity(indicator);
            indicatorEntity.setCategory(categoryEntityOptional.get());
        } else {
            indicator.getCategory().setId(null);
            indicatorEntity = domainToEntity(indicator);
        }

        return indicatorEntity;
    }

    IndicatorEntity domainToEntity(Indicator indicator);

    List<Indicator> entityToDomain(List<IndicatorEntity> indicatorEntities);
}
