package com.altimetrik.pmis.mapper;

import com.altimetrik.pmis.core.entity.ProjectSummaryEntity;
import com.altimetrik.pmis.model.ProjectSummary;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

import java.util.List;
import java.util.stream.Collectors;

@Mapper
public interface ProjectSummaryMapper {

    ProjectSummaryMapper INSTANCE = Mappers.getMapper(ProjectSummaryMapper.class);

    List<ProjectSummary> projectSummaryEntitiesToDomains(List<ProjectSummaryEntity> projectSummaryEntities);

    @Mapping(target = "projectId", source = "project.id")
    @Mapping(target = "projectName", source = "project.name")
    ProjectSummary projectSummaryEntityToDomain(ProjectSummaryEntity projectSummaryEntity);


    default List<ProjectSummaryEntity> projectSummaryDomainsToEntities(List<ProjectSummary> projectSummaries) {
        return projectSummaries.stream()
                .map(projectSummary -> mapProjectSummaryDomainToEntity(projectSummary))
                .collect(Collectors.toList());
    }

    default ProjectSummaryEntity mapProjectSummaryDomainToEntity(ProjectSummary projectSummary) {
        ProjectSummaryEntity projectSummaryEntity = projectSummaryDomainToEntity(projectSummary);
        //projectSummaryEntity.setRemarks(mapProjectSummaryRemarkDomainsToEntities(projectSummary.getRemarks(), projectSummaryEntity));
        return projectSummaryEntity;
    }

    @Mapping(target = "project.id", source = "projectId")
    ProjectSummaryEntity projectSummaryDomainToEntity(ProjectSummary projectSummary);

    /*default List<ProjectSummaryRemarkEntity> mapProjectSummaryRemarkDomainsToEntities(List<ProjectSummaryRemark> projectSummaryRemarks, ProjectSummaryEntity projectSummaryEntity) {
        return projectSummaryRemarks.stream()
                .map(projectSummaryRemark -> mapProjectSummaryRemarkDomainToEntity(projectSummaryRemark, projectSummaryEntity))
                .collect(Collectors.toList());
    }

    default ProjectSummaryRemarkEntity mapProjectSummaryRemarkDomainToEntity(ProjectSummaryRemark projectSummaryRemark, ProjectSummaryEntity projectSummaryEntity) {
        ProjectSummaryRemarkEntity projectSummaryRemarkEntity = projectSummaryRemarkDomainToEntity(projectSummaryRemark);
        projectSummaryRemarkEntity.setProjectSummary(projectSummaryEntity);

        return projectSummaryRemarkEntity;
    }

    ProjectSummaryRemarkEntity projectSummaryRemarkDomainToEntity(ProjectSummaryRemark projectSummaryRemark);
*/

}
