package com.altimetrik.pmis.repository;

import com.altimetrik.pmis.core.entity.ProjectSummaryEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Optional;

public interface ProjectSummaryRepository extends JpaRepository<ProjectSummaryEntity, Long> {

    Optional<List<ProjectSummaryEntity>> findByProjectAccountIdAndReportDate(Long accountId, LocalDate reportDate);

    Optional<List<ProjectSummaryEntity>> findByProjectAccountIdAndProjectAccountNameAndReportDate(Long accountId, String accountName, LocalDate reportDate);

    @Query(value = "select pse from ProjectSummaryEntity pse where pse.project.account.id = :accountId and  pse.reportDate= :reportDate")
    Optional<List<ProjectSummaryEntity>> findByProjectAccountIdAndReportDate1(@Param("accountId") Long accountId, @Param("reportDate") LocalDate reportDate);

}
