package com.altimetrik.pmis.service.impl;

import com.altimetrik.pmis.core.entity.AccountEntity;
import com.altimetrik.pmis.mapper.AccountMapper;
import com.altimetrik.pmis.model.Account;
import com.altimetrik.pmis.repository.AccountRepository;
import com.altimetrik.pmis.service.AccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Optional;

@Service
public class AccountServiceImpl implements AccountService {
    private final AccountRepository accountRepository;
    private final AccountMapper accountMapper;

    @Autowired
    public AccountServiceImpl(AccountRepository accountRepository) {
        this.accountRepository = accountRepository;
        this.accountMapper = AccountMapper.INSTANCE;
    }

    @Override
    public Account save(Account account) {
        return accountMapper.entityToDomain(accountRepository.saveAndFlush(accountMapper.domainToEntity(account)));
    }

    @Override
    public Account get(Long id) {
        Optional<AccountEntity> account = accountRepository.findById(id);
        if (!account.isPresent()) {
            // TODO: throw exception
        }
        return accountMapper.entityToDomain(account.get());
    }
}
