package com.altimetrik.pmis.util;

import com.altimetrik.pmis.core.common.Constants;
import io.micrometer.common.util.StringUtils;

public class StringToDataTypeConverter {
    public static Object convertStringToDataType(String value, String dataType) {
        if (StringUtils.isEmpty(value) || "null".equalsIgnoreCase(value) || StringUtils.isEmpty(dataType)) {
            return null;
        }
        switch (dataType.toLowerCase()) {
            case Constants.INT:
                return Integer.parseInt(value);
            case Constants.DOUBLE:
                return Double.parseDouble(value);
            case Constants.FLOAT:
                return Float.parseFloat(value);
            case Constants.LONG:
                return Long.parseLong(value);
            case Constants.BOOLEAN:
                return Boolean.parseBoolean(value);
            default:
                return value;
        }
    }
}
